searchData={"items":[{"type":"module","title":"DataTracer","doc":"Facilitates debugging by holding data traces of interesting data. Is a\nGenServer so it can own an ets table to store the data in.","ref":"DataTracer.html"},{"type":"function","title":"DataTracer.all/0","doc":"Retrieve all entries that have been stored\n\nOptions:\n* `:table` - The ETS table to read from (optional, only needed if\n  the table name was customized when the DataTracer was started)","ref":"DataTracer.html#all/0"},{"type":"function","title":"DataTracer.all/1","doc":"","ref":"DataTracer.html#all/1"},{"type":"function","title":"DataTracer.clear/0","doc":"Clear the DataTracer\n\nsee `clear/1` for details","ref":"DataTracer.html#clear/0"},{"type":"function","title":"DataTracer.clear/1","doc":"Clear the DataTracer\n\nOptions:\n* `:tracer` - The DataTracer instance to store the value in. Defaults to Elixir.DataTracer.","ref":"DataTracer.html#clear/1"},{"type":"function","title":"DataTracer.last/0","doc":"Retrieve the last entry that was stored\n\nSee `last/1` for options","ref":"DataTracer.html#last/0"},{"type":"function","title":"DataTracer.last/1","doc":"","ref":"DataTracer.html#last/1"},{"type":"function","title":"DataTracer.lookup/1","doc":"Retrieve all values that have been stored under the key in the DataTracer\n\nReturns the values in desc order by timestamp. This means that the first value\nreturned is the last value that was stored for the given key.\n\nUse `nil` as the key to retrieve values that were stored without a specific key.\n\nOptions:\n* `:table` - The ETS table to read from (optional, only needed if\n  the table name was customized when the DataTracer was started)","ref":"DataTracer.html#lookup/1"},{"type":"function","title":"DataTracer.lookup/2","doc":"","ref":"DataTracer.html#lookup/2"},{"type":"function","title":"DataTracer.store/1","doc":"Store the given value in the DataTracer\n\nsee `store/2` for details","ref":"DataTracer.html#store/1"},{"type":"function","title":"DataTracer.store/2","doc":"Store the given value in the DataTracer\n\nOptions:\n* `:key` - The key that the value is stored under. Defaults to `nil`\n* `:time` - The timestamp to associate with the value (primarily used for\n  sorting). Defaults to the current time.\n* `:tracer` - The DataTracer instance to store the value in. Defaults to Elixir.DataTracer.","ref":"DataTracer.html#store/2"},{"type":"function","title":"DataTracer.store_uniq/1","doc":"Store the given value in the DataTracer uniquely\n\nThe first instance of the found value is replaced with the new value\n\nSee `store_uniq/2` for options","ref":"DataTracer.html#store_uniq/1"},{"type":"function","title":"DataTracer.store_uniq/2","doc":"Options:\n* `:key` - The key that the value is stored under. Defaults to `nil`\n* `:time` - The timestamp to associate with the value (primarily used for\n  sorting). Defaults to the current time.\n* `:tracer` - The DataTracer instance to store the value in. Defaults to Elixir.DataTracer.","ref":"DataTracer.html#store_uniq/2"},{"type":"module","title":"DataTracer.Server","doc":"Reads and writes the traced data to ETS\n\nData format `{key, timestamp, value}`","ref":"DataTracer.Server.html"},{"type":"function","title":"DataTracer.Server.all/1","doc":"","ref":"DataTracer.Server.html#all/1"},{"type":"function","title":"DataTracer.Server.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"DataTracer.Server.html#child_spec/1"},{"type":"function","title":"DataTracer.Server.clear/2","doc":"","ref":"DataTracer.Server.html#clear/2"},{"type":"function","title":"DataTracer.Server.last/1","doc":"","ref":"DataTracer.Server.html#last/1"},{"type":"function","title":"DataTracer.Server.lookup/2","doc":"","ref":"DataTracer.Server.html#lookup/2"},{"type":"function","title":"DataTracer.Server.start_link/2","doc":"Options:\n* `:table` - The ETS table to use for writing (optional)","ref":"DataTracer.Server.html#start_link/2"},{"type":"function","title":"DataTracer.Server.store/2","doc":"","ref":"DataTracer.Server.html#store/2"},{"type":"function","title":"DataTracer.Server.store_uniq/2","doc":"","ref":"DataTracer.Server.html#store_uniq/2"},{"type":"module","title":"DataTracer.Server.State","doc":"","ref":"DataTracer.Server.State.html"},{"type":"module","title":"DataTracer.SupervisorUtils","doc":"","ref":"DataTracer.SupervisorUtils.html"},{"type":"function","title":"DataTracer.SupervisorUtils.find_supervisors/2","doc":"Find the chain of parent superivors for a given process\n\nExample return value: `{:ok, [#PID<0.275.0>, #PID<0.276.0>, #PID<0.283.0>]}`\n\nReturns `:error` if unable to find the supervisors for the process","ref":"DataTracer.SupervisorUtils.html#find_supervisors/2"},{"type":"function","title":"DataTracer.SupervisorUtils.max_crashes/2","doc":"Find the max number of crashes that the given PID can have before it brings\ndown the entire application.\n\nNOTE: Currently assumes all the crashes happen at the same time (i.e.\n`max_seconds` is ignored)","ref":"DataTracer.SupervisorUtils.html#max_crashes/2"},{"type":"function","title":"DataTracer.SupervisorUtils.restart_settings/1","doc":"Get the restart settings for a supervisor\n\nExample return value: `%{max_restarts: 3, max_seconds: 5}`","ref":"DataTracer.SupervisorUtils.html#restart_settings/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}